AttachmentSort.AttachmentSortColumn
Keywords: net.corda.core.node.services.vault.AttachmentSort.AttachmentSortColumn class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class AttachmentSort.AttachmentSortColumn

- net.corda.core.node.services.vault.AttachmentSort.AttachmentSortColumn

- Enclosing class:
    AttachmentSort

      public static class AttachmentSort.AttachmentSortColumn

- - ### Constructor Detail

    - #### AttachmentSortColumn

          public AttachmentSortColumn(@NotNull
                                      net.corda.core.node.services.vault.AttachmentSort.AttachmentSortAttribute sortAttribute,
                                      @NotNull
                                      net.corda.core.node.services.vault.Sort.Direction direction)

  - ### Method Detail

    - #### getSortAttribute

          @NotNull
          public net.corda.core.node.services.vault.AttachmentSort.AttachmentSortAttribute getSortAttribute()

    - #### getDirection

          @NotNull
          public net.corda.core.node.services.vault.Sort.Direction getDirection()

    - #### component1

          @NotNull
          public net.corda.core.node.services.vault.AttachmentSort.AttachmentSortAttribute component1()

    - #### component2

          @NotNull
          public net.corda.core.node.services.vault.Sort.Direction component2()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.AttachmentSort.AttachmentSortColumn copy(@NotNull
                                                                                                      net.corda.core.node.services.vault.AttachmentSort.AttachmentSortAttribute sortAttribute,
                                                                                                      @NotNull
                                                                                                      net.corda.core.node.services.vault.Sort.Direction direction)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)